Subject: [clue] Can CLUE signaling help reduce size of SDP?

From: "Duckworth, Mark" <[email-masked]>
Date: Mon, 22 Dec 2014 14:10:54 -0800

>From Paul's comments on the framework:

> Section 5:

> I'm struggling to understand the following paragraph:

>     Second, it MAY, but is not necessarily REQUIRED to, use the

>     information provided to tailor the SDP it is going to send during

>     the following SIP offer/answer exchange, and its reaction to SDP it

>     receives in that step.  It is often a sensible implementation

>     choice to do so, as the representation of the media information

>     conveyed over the CLUE channel can dramatically cut down on the

>     size of SDP messages used in the O/A exchange that follows.

>     Spatial relationships associated with the Media can be included in

>     the Advertisement, and it is often sensible for the Media Consumer

>     to take those spatial relationships into account when tailoring the

>     SDP.

> This seems to me to say that the consumer can use the advertisement to

> reduce the size of the sdp, which isn't really true. I think the problem

> is that this text doesn't distinguish between what is done by providers

> and consumers.

> For a provider, it may well be infeasible to send SDP covering every

> encoding in the advertisement. It could potentially reduce the size of

> SDP to a more manageable size by only offering those encodings that are

> configured. BUT, as we have things structured now a consumer needs to

> see the encodings in the SDP to decide what to configure. So this

> potential can't be realized.

> For a consumer the potential is not to reduce the size of SDP, but

> rather to reduce the number of encodings it must set up resources to

> receive. It probably doesn't want to receive encodings that it doesn't

> intend to use. I think this is the key point to make in this paragraph.

> (These comments also apply the the following paragraph.)

I thought I understood this idea of reducing the SDP size, but now I
can't recall the details of that.  I think Stephan wrote these paragraphs.

Stephan, can you explain what the intent was here?

Thanks,
Mark